% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pre_factor.R
\name{pre_factor}
\alias{pre_factor}
\title{Evaluate if data are appropriate for PCA / Factor analysis}
\usage{
pre_factor(
  dataset,
  vars,
  hcor = FALSE,
  data_filter = "",
  envir = parent.frame()
)
}
\arguments{
\item{dataset}{Dataset}

\item{vars}{Variables to include in the analysis}

\item{hcor}{Use polycor::hetcor to calculate the correlation matrix}

\item{data_filter}{Expression entered in, e.g., Data > View to filter the dataset in Radiant. The expression should be a string (e.g., "price > 10000")}

\item{envir}{Environment to extract data from}
}
\value{
A list with all variables defined in the function as an object of class pre_factor
}
\description{
Evaluate if data are appropriate for PCA / Factor analysis
}
\details{
See \url{https://radiant-rstats.github.io/docs/multivariate/pre_factor.html} for an example in Radiant
}
\examples{
pre_factor(shopping, "v1:v6") \%>\% str()

}
\seealso{
\code{\link{summary.pre_factor}} to summarize results

\code{\link{plot.pre_factor}} to plot results
}
